/***************************************************************************/
/*                                                                         */
/*                Copyright (1995)    FASTEC GmbH                          */
/*                                                                         */
/***************************************************************************/
/*
	Dateiname : ldv.h
	Kategorie : C Header Datei
	Zweck     : LONTalk Treiber fuer UNIX-Platformen
	Hinweis   :
	Autor(en) : Miran Miksic
	Status    : beta getestet
*/
/*-------------------------------------------------------------------------*/
/*
		Bearbeitungsstand:
		1996/05/27 15:57:41 v1.1

		RCSStand:
		ldv.h,v 1.1 1996/05/27 15:57:41 miksic Exp
*/
/*-------------------------------------------------------------------------*/

#if !defined LDV_DEFINED
#define LDV_DEFINED

#define MAX_NI_DATA 256

typedef int LNI;
typedef enum
{
    LDV_OK = 0,
    LDV_NOT_FOUND,
    LDV_ALREADY_OPEN,
    LDV_DEVICE_ERR,
    LDV_INVALID_DEVICE_ID,
    LDV_DEVICE_BUSY,
    LDV_NO_MSG_AVAIL,
    LDV_NO_BUF_AVAIL,
    LDV_NO_RESOURCES,
    LDV_INVALID_BUF_LEN
} LDVCode;

LDVCode ldv_open( const char *device_name, LNI *pHandle );
LDVCode ldv_close( LNI handle );
LDVCode ldv_read( LNI handle, void *pMsg, unsigned length );
LDVCode ldv_write( LNI handle, void *pMsg, unsigned length );

#if defined SLTA_2

/***************************************************/
/* slta-2 specific not standard functions and data */
/***************************************************/

void ldv_post_events( void );

extern int auto_baud_feature;
extern int alert_ack_prtcl;
extern int ldv_buffers;
extern unsigned int baud_rate;

#endif /* SLTA_2 */

#endif /* LDV_DEFINED */
